"""
RAZE Python Libraries
=====================

RAZE is a free collection of Python modules intended as an extension to the 
standard libraries.

The target Python version is 2.4.

 * coalesce - Utilities for selecting the first "usable" value in a sequence.
 * container - Extended container types and utilities. 
 * enumeration - Base class for user-defined enumeration types.
 * func - Function utils and functional programming tools. 
 * import_ - Delayed import for combatting circular dependencies. 
 * logging_ - Extensions to the standard logging module. 
 * misc - Miscellaneous helper/utility classes and functions.
 * namestyle - Convert identifier names between conventions. 
 * net - Networking support classes.
 * optparse_ - Free-form option parser.
 * password - Password generation and strength testing. 
 * path - Extensions and helpers to the standard os.path module.
 * phonetic - NATO phonetic alphabet utilities.
 * property_ - Extensions to the standard property type.
 * singleton - Enforced singleton pattern. 
 * test - Bootstrapping function for running Raze doctests. 
 * threading_ - Extensions to the standard threading module. 
 * transform - Multi-step transformations of multiple values. 
 * visitor - Classes for simple implementation of the visitor pattern.

RAZE - Copyright (c) 2006 James Harris, Erin Houston
$Id: __init__.py 545 2006-12-18 12:48:10Z james $
"""
__version__   = "1.2.0"
__revision__  = "$Revision: 545 $"
__location__  = "$URL: http://dev.icecave.com.au/main/dav/lib/raze/tags/raze-1.2.0/raze/__init__.py $"
